Package org.opensaml.security.trust.impl

# Class TrustEngineX509TrustManager

java.lang.Object
org.opensaml.security.trust.impl.TrustEngineX509TrustManager

All Implemented Interfaces:
  `TrustManager`, `X509TrustManager`

public class TrustEngineX509TrustManager extends Object implements X509TrustManager
`X509TrustManager` implementation that relies on a `TrustEngine`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final org.slf4j.Logger`
`log`
Class logger.
`private CriteriaSet`
`tlsCriteriaSet`
Optional criteria set used in evaluating server TLS credentials.
`private TrustEngine<? super X509Credential>`
`tlsTrustEngine`
The trust engine to use.

## Constructor Summary

Constructors
Constructor
Description
`TrustEngineX509TrustManager()`

## Method Summary

Modifier and Type
Method
Description
`void`
`checkClientTrusted(X509Certificate[] arg0, String arg1)`
`void`
`checkServerTrusted(X509Certificate[] arg0, String arg1)`
`X509Certificate[]`
`getAcceptedIssuers()`
`void`
`setTLSCriteriaSet(CriteriaSet criteriaSet)`
Set the optional criteria set used in evaluating server TLS credentials.
`void`
`setTLSTrustEngine(TrustEngine<? super X509Credential> engine)`
Set the trust engine used in evaluating server TLS credentials.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
Class logger.

### tlsTrustEngine

@Nullable private TrustEngine<? super X509Credential> tlsTrustEngine
The trust engine to use.

### tlsCriteriaSet

@Nullable private CriteriaSet tlsCriteriaSet
Optional criteria set used in evaluating server TLS credentials.

## Constructor Details

### TrustEngineX509TrustManager

public TrustEngineX509TrustManager()

## Method Details

### setTLSTrustEngine

public void setTLSTrustEngine(@Nullable TrustEngine<? super X509Credential> engine)
Set the trust engine used in evaluating server TLS credentials.

Parameters:
  `engine` - the trust engine instance to use

### setTLSCriteriaSet

public void setTLSCriteriaSet(@Nullable CriteriaSet criteriaSet)
Set the optional criteria set used in evaluating server TLS credentials.

Parameters:
  `criteriaSet` - the new criteria set instance to use

### checkClientTrusted

public void checkClientTrusted(X509Certificate[] arg0, String arg1) throws CertificateException

Specified by:
  `checkClientTrusted` in interface `X509TrustManager`
Throws:
  `CertificateException`

### checkServerTrusted

public void checkServerTrusted(X509Certificate[] arg0, String arg1) throws CertificateException

Specified by:
  `checkServerTrusted` in interface `X509TrustManager`
Throws:
  `CertificateException`

### getAcceptedIssuers

public X509Certificate[] getAcceptedIssuers()

Specified by:
  `getAcceptedIssuers` in interface `X509TrustManager`